// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '团队管理', leftArrow: true, useBar: false },
    ids: '',
    // 主体高度
    infoHeight: '',
    //全部团队
    teamlist: [],
    //参赛团队
    compete: [],
    // 解散团队
    dissolution: [],
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  //查询解散或参赛团队详情
  shen: function (e) {
    let obj = e.currentTarget.dataset;
    if (obj.route) {
      wx.navigateTo
        ({
          url: `/pages/administration/${obj.route}?obj=${decodeURIComponent(JSON.stringify(obj))}`
        })
    }
  },
  //查询团队详情
  shens: function (e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: `/pages/administration/details?id=${id}`
    })
  },
  //参赛团队点击通过
  cantong: function (e) {
    let id = e.currentTarget.dataset.id;
    wx.showModal({
      title: '',
      content: '是否通过参赛团队',
      success(res) {
        if (res.confirm) {
          wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/matchteam/${id}`, //接口地址
            method: 'post',
            data: {
              "status": "1"
            },
            success(res) {
              if (res.data.errcode == 0) {
                wx.showToast({ title: `通过团队成功`, icon: 'success', duration: 2000 }) //创建成功提示
                return wx.redirectTo({ url: '/pages/manage/index' })// 跳转页面
              } else {
                wx.showToast({
                  title: res.data.errmsg,
                  icon: 'none',
                  duration: 2000
                })
              }
            }
          })
        } else if (res.cancel) {
        }
      }
    })
  },
  //解散点击通过
  out: function (e) {
    let id = e.currentTarget.dataset.name;
    wx.showModal({
      title: '',
      content: '是否确认解散团队',
      success(res) {
        if (res.confirm) {
          wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/dismissapply/` + id, //接口地址
            method: 'DELETE',
            data: {},
            success(res) {
              if (res.data.errcode == 0) {
                wx.showToast({ title: `解散团队成功`, icon: 'success', duration: 2000 }) //创建成功提示
                return wx.redirectTo({ url: '/pages/manage/index' })// 跳转页面
              } else {
                wx.showToast({
                  title: res.data.errmsg,
                  icon: 'none',
                  duration: 2000
                })
              }
            }
          })
        } else if (res.cancel) {
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight();
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    var that = this;
    wx.getStorage({
      key: 'token',
      success: res => {
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/matchteam`, //接口地址
          method: 'get',
          data: {},
          success(res) {
            if (res.data.errcode == 0) {
              that.setData({
                compete: res.data.data,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
        //查询数据
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/team`, //接口地址
          method: 'get',
          data: {},
          success(res) {
            if (res.data.errcode == 0) {
              that.setData({
                teamlist: res.data.data,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
        //解散团队数据
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/dismissapply`, //接口地址
          method: 'get',
          data: {},
          success(res) {
            if (res.data.errcode == 0) {
              that.setData({
                dissolution: res.data.data,
              });
            } else {
              wx.showToast({
                title: res.data.errmsg,
                icon: 'none',
                duration: 2000
              })
            }
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})